EDIT - feature request #6732

Rank selector offering 2 filtered lists of ranks (default, all) for phycobank

06/16/2017 08:41 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Phycobank ready for submitters

Severity: normal

Description

The rank select should have an associated checkbox "Show all" which toggles the list of offered ranks.

Two filtered lists of ranks are available to the user by this:

o default:
o Genus
o Species
o Subspecies
o Variety
o Form
¢ all (when box is checked):

Related issues:

Related to EDIT - feature request #3989: [DISCUSS] Allow defining the vocabul...

Has duplicate EDIT - feature request #9494: Improve Ul: Selection of ranks in...

Resolved
Closed

Associated revisions

Revision ad6c211a - 09/10/2021 05:47 PM - Andreas Kohlbecker

ref #6732 rank selector offering compact and full list of ranks

Revision 5b238ca8 - 09/10/2021 07:47 PM - Andreas Kohlbecker

ref #6732 fixing layout problems in valo-theme with native selects

History

#1 - 06/16/2017 08:41 AM - Andreas Kohlbecker

- Copied from feature request #6724: Popup Editor for SpecimenTypeDesignation Workingsets added

#2 - 06/16/2017 11:24 AM - Andreas Kohlbecker

- Copied from deleted (feature request #6724: Popup Editor for SpecimenTypeDesignation Workingsets)

#3 - 07/21/2017 10:26 AM - Andreas Mdiller

- Target version changed from Release 4.9 to Release 4.10

#4 - 09/24/2017 01:18 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#5 - 11/08/2017 11:14 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#6 - 12/05/2017 02:15 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#7 - 01/31/2018 12:11 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#8 - 01/31/2018 01:21 PM - Andreas Kohlbecker
- Target version changed from Release 4.14 to Release 4.13

#9 - 02/09/2018 05:15 PM - Andreas Kohlbecker

- Target version changed from Release 4.13 to Release 4.14

#10 - 02/15/2018 02:59 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#11 - 03/23/2018 11:10 AM - Andreas Kohlbecker
- Priority changed from New to Priority13

#12 - 05/03/2018 05:11 PM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#13 - 05/11/2018 10:59 AM - Andreas Kohlbecker

- Related to feature request #3989: [DISCUSS] Allow defining the vocabularies to be offered in the select dialogs added

#14 - 06/28/2018 12:18 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#15 - 08/17/2018 03:54 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#16 - 09/06/2018 11:11 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#17 - 10/23/2018 01:50 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#18 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#19 - 02/19/2019 02:03 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Vaadin Taxon Concept Editor

#20 - 02/19/2019 02:34 PM - Andreas Kohlbecker

- Target version changed from Vaadin Taxon Concept Editor to Reviewed Next Major Release

#21 - 02/19/2019 03:34 PM - Andreas Miiller
- Priority changed from Priority13 to Priority10

#22 - 02/19/2019 05:20 PM - Andreas Kohlbecker
- Priority changed from Priority10 to Priority13

#23 - 09/03/2019 04:29 PM - Andreas Kohlbecker
- Parent task changed from #6169 to #8515

#24 - 03/02/2021 12:13 PM - Andreas Kohlbecker

- Has duplicate feature request #9494: Improve Ul: Selection of ranks in Name Editor added

#25 - 03/02/2021 12:14 PM - Andreas Kohlbecker
- Description updated

#26 - 03/02/2021 12:14 PM - Andreas Kohlbecker
- Priority changed from Priority13 to Priority14

- Target version changed from Reviewed Next Major Release to Phycobank ready for submitters
#27 - 03/01/2023 01:16 PM - Andreas Miiller
- Tags changed from phycobank to phycobank, phycobank-ready-for-submitters

- Subject changed from rank selector offering 2 filtered lists of ranks (default, all) for phycobank to Rank selector offering 2 filtered lists of ranks
(default, all) for phycobank

- Description updated

#28 - 03/01/2023 01:25 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

#29 - 01/24/2024 11:10 AM - Andreas Miiller
- Status changed from New to Feedback
- Assignee changed from Andreas Miiller to Wolf-Henning Kusber

- % Done changed from 0 to 50

Is this still an open issue? | think | saw this working already.

#30 - 01/24/2024 11:11 AM - Andreas Miiller

Also | do not understand why this is a subtask for "Remaining registation Ul tasks" (#8515). Should we remove it from there?

#31 - 01/24/2024 11:15 AM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Miiller

yes please remove,
rank selection is perfectly woriking #6732 can be closed

#32 - 01/24/2024 11:31 AM - Andreas Miiller
- Parent task deleted (#8515)

#33 - 01/24/2024 11:32 AM - Andreas Miiller
- Status changed from Feedback to Closed
- Assignee changed from Andreas Miller to Andreas Kohlbecker

- % Done changed from 50 to 100

This works as expected and can therefore be closed.
